Subject: Re: [RFC net-next 00/15] add basic PSP encryption for TCP connections

From: Jakub Kicinski <[email-masked]>
Date: Tue, 25 Jun 2024 16:17:07 -0700

On Tue, 25 Jun 2024 22:05:13 +0000 Singhai, Anjali wrote:
> 1. Master key rotation, this needs to be not just from top but also
> from device side because of the master key sharing in some cases and
> a common SPI space that can roll over. So need to have an event
> mechanism from device driver back to kernel for key rotation. Please
> add this.

Sorry I don't need it myself, you'll need to add that once my patches
are merged.

> 2. Header additions in the driver, for now we can do this, but
> ideally it should move to the stack, so that it can be common for all
> devices.

That's fair, I only have mlx5 implementation so I wasn't sure how much
of it is reusable. Once we have 2 drivers we can extrapolate?